/*	CookieFilter.java		(ProFil)
 *	Set indentation=4
 *
 *	Erwan Lemonnier - september 2000
 *
 *****************************************/

package profil.filter;

import profil.http.*;
import java.awt.Dialog;

/**
 * <p>
 * This <code>Filter</code> parses the data going from a client to a server for
 * <code>Cookie</code> headers, and going from a server to a client for
 * <code>Set-Cookie</code> headers. It then removes these fields, thus
 * forbidding the use of cookies.
 * <p>
 * @author 		Erwan Lemonnier <code><a href="mailto:erwan_lemonnier@hotmail.com">[erwan_lemonnier@hotmail.com]</a></code>
 * @version 	<code>1.1 [released 09/2000]</code>
 */


public class CookieFilter extends Filter
{
	
	public CookieFilter()			{	}
	public int getTYPE()			{	return 0;	}
	public Filter duplicate()		{	return new CookieFilter();	}
	
	
	public void edit(Dialog owner)
	{	String[] msg = {	"CookieFilter",
							"Will remove the following 2 HTTP headers from",
							"every packet passing through ProFil:",
							"    Set-Cookie",
							"    Cookie"
						};
		new DefaultFilterGUI(owner, msg);
	}
	
	
	// This Filter removes the headers 'Cookie' and 'Set-Cookie' from an HTTP header
	public void filter(Packet packet)
	{	
		if (packet.headerReceived())
		{
			HTTPHeaders headers = packet.getHeaders();
			headers.removeHeader("Set-Cookie");
			headers.removeHeader("Cookie");
		}
	}
}